Bug 237338 - (perl-Net-DNS-SEC) Review Request: perl-Net-DNS-SEC -- Perl support for DNSSEC
Review Request: perl-Net-DNS-SEC -- Perl support for DNSSEC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Package Reviews List
:
Depends On: 237332 237333 237334 237337
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 16:42 EDT by Wes Hardaker
Modified: 2015-04-27 11:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 12:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wjhns174: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:42:06 EDT
Spec URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC.spec
SRPM URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC.spec
Description: The Net::DNS::SEC modules provide perl with the ability
to check and resolve secure DNS data (DNSSEC).


(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).
Comment 1 Bernard Johnson 2007-04-30 13:10:14 EDT
Copy and paste error on your SRPM URL.  Please fix.
Comment 3 Wes Hardaker 2007-04-30 18:08:18 EDT
Spec URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC.spec
SRPM URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC-0.14-1.src.rpm

(double whoops).
Comment 4 Paul Wouters 2007-07-10 00:31:50 EDT
perl-Crypt-OpenSSL-RSA, perl-Crypt-OpenSSL-Random and perl-Crypt-OpenSSL-BigNum
haven't appeared yet on the mirrors, so the mock build still fails. I'll try
that again tomorrow.

Comment 5 Wes Hardaker 2007-07-10 00:39:19 EDT
Welcome to the new world.  They're available on Koji due to a special tag (I
know because I had to request them).  They're also published in -testing, so you
should be able to grab the rpms from testing or enable the testing repository
within mock to get it to build.  They've only just been published, so I've been
trying to be polite and wait 2 weeks before rolling to stable.  (and actually,
you using them for this from testing would provide some positive feedback on the
fact they work ;-)
Comment 6 Paul Wouters 2007-07-11 12:49:04 EDT
I grabbed them from devel.

Missing BuildRequires:

> Checking if your kit is complete...
> Looks good
> Warning: prerequisite Digest::SHA 5.23 not found.
> Writing Makefile for Net::DNS::SEC

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64/f7
 [x] Rpmlint output:
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : a87e3e4c8467ea2d64408abae2abcfc6
     MD5SUM upstream package: a87e3e4c8467ea2d64408abae2abcfc6
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
     Missing Digest::SHA >= 5.23

 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: not tested because some BuildRequires haven't propagated yet
 [ ] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: x86_64/f7
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [ ] File based requires are sane.


APPROVED if the missing buildrequire is added.

Comment 7 Wes Hardaker 2007-07-11 16:20:18 EDT
Spec URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC.spec
SRPM URL: http://www.hardakers.net/FE/perl-Net-DNS-SEC-0.14-2.src.rpm

Also added some example scripts into the documentation.  Full diff of the spec
file (the only thing changed) is below:

diff -u perl-Net-DNS-SEC.spec.old perl-Net-DNS-SEC.spec
--- perl-Net-DNS-SEC.spec.old   2007-07-11 13:19:40.000000000 -0700
+++ perl-Net-DNS-SEC.spec       2007-07-11 13:17:30.000000000 -0700
@@ -1,6 +1,6 @@
 Name:           perl-Net-DNS-SEC
 Version:        0.14
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        DNSSEC modules for Perl
 License:        GPL or Artistic
 Group:          Development/Libraries
@@ -20,7 +20,7 @@
 BuildRequires:  perl(Math::BigInt)
 BuildRequires:  perl(Time::Local)
 BuildRequires:  perl(Digest::BubbleBabble)
-BuildRequires:  perl(Digest::SHA1)
+BuildRequires:  perl(Digest::SHA)

 # neither are picked up automagically.
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
$version))
@@ -59,10 +59,15 @@

 %files
 %defattr(-,root,root,-)
-%doc Changes README TODO demo/*
+%doc Changes README TODO
+%doc demo/
 %{perl_vendorlib}/*
 %{_mandir}/man3/*

 %changelog
+* Wed Jul 11 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.14-2
+- BuildRequire Digest::SHA
+- include the demo scripts in the documentation
+
 * Wed Apr 18 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.14-1
 - Initial version
Comment 8 Wes Hardaker 2007-07-11 18:28:01 EDT
marking approved based on above comment and jabber conversation about the module.
Comment 9 Wes Hardaker 2007-07-11 18:30:26 EDT
New Package CVS Request
=======================
Package Name: perl-Net-DNS-SEC
Short Description: Perl bindings to the Net::DNS::SEC modules
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC:
Comment 10 Kevin Fenzi 2007-07-11 22:58:16 EDT
I realize that Paul said he would approve in comment #6, but it still looks bad
for you to set the approval on your own package. (If for record keeping if
nothing else).

cvs-done. 
Comment 11 Wes Hardaker 2007-07-12 11:17:57 EDT
I agree, but he had asked me to do it over a jabber conversation...  Paul, it
might be wise if you at least post a note here confirming everything is good.
Comment 12 Wes Hardaker 2007-07-19 12:52:02 EDT
Package finally marked as going to testing after getting prereqs into koji. 
closing!
Comment 13 Paul Wouters 2010-09-11 15:29:16 EDT
Package Change Request
======================
Package Name: perl-Net-DNS-SEC
New Branches: el5 el6
Owners: hardaker

(I'm willing to co-maintain this and/or order branches of this package: pwouters)
Comment 14 Kevin Fenzi 2010-09-11 15:41:28 EDT
Git done (by process-git-requests).
Comment 15 Wes Hardaker 2015-04-20 10:08:04 EDT
Package Change Request
======================
Package Name: perl-Net-DNS-SEC
New Branches: el7
Owners: hardaker pwouters
Comment 16 Jon Ciesla 2015-04-27 11:42:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.